#ifndef CONTROLLER_PACKET_H
#define CONTROLLER_PACKET_H

#include "network/Packet.h"

class ControllerPacket {
    uint32 flags;

public:
    enum Type {
        LEFT,
        RIGHT,
        UP,
        DOWN,
        JUMP,
        SNEAK,
        CAM_LEFT,
        CAM_RIGHT,
        CAM_UP,
        CAM_DOWN
    };
    ControllerPacket();

    void set(Type type);
    bool has(Type type) const;
    void write(OutPacket& out) const;
    bool read(InPacket& in);

    static int getSize();
};

#endif